Party List
Get a list of Party objects. Parties have a many to many mapping with a number of record types which
are listed through the responsiblepartyinfo end point as connected to via the
responsiblepartyinfo_set serialisation.
### Available end points:
- `/parties/` - Will list all Partys in the database
- `/parties.json` - Will return all Partys in json format
- `/parties/<object_id>/` - Returns Partys object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `firstName`
- `lastName`
- `partyType`
### How to use filters:
- `/parties/?firstName__contains=Graham`
- `/parties/?partyType=organisation`
- `/parties.json?lastName__endswith=(CEDA)`
GET /api/v2/parties/?format=api&offset=4800
{ "count": 4801, "next": null, "previous": "https://api.catalogue.ceda.ac.uk/api/v2/parties/?format=api&limit=100&offset=4700", "results": [ { "firstName": "Charles", "lastName": "Chemel", "partyType": "individual", "ob_id": 5354, "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/217269/?format=api" ] } ] }